Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 21 Jan 2021 17:20:01 +1100

Hi Dan,

On Tue, 19 Jan 2021 21:48:52 -0800 Dan Williams <[email-masked]> wrote:
>
> On Tue, Jan 19, 2021 at 9:25 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> >
> > After merging the akpm-current tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> >
> > mm/memory_hotplug.c: In function 'move_pfn_range_to_zone':
> > mm/memory_hotplug.c:772:24: error: 'ZONE_DEVICE' undeclared (first use in this function)
> >   772 |  if (zone_idx(zone) == ZONE_DEVICE) {
> >       |                        ^~~~~~~~~~~
> >
> > Caused by commit
> >
> >   e821cf25cfee ("mm: teach pfn_to_online_page() about ZONE_DEVICE section collisions")
> >
> > I applied the patch from Randy Dunlap for today.
> >
> > That, however, lead to this warning:
> >
> > mm/memory_hotplug.c:730:13: warning: 'section_taint_zone_device' defined but not used [-Wunused-function]
> >   730 | static void section_taint_zone_device(unsigned long pfn)
> >       |             ^~~~~~~~~~~~~~~~~~~~~~~~~
> >  
> 
> I sent this one as an alternate:
> 
> http://lore.kernel.org/r/[email-masked]

I have used that today instead of Randy's patch, thanks.

-- 
Cheers,
Stephen Rothwell